/*!
 * MCCLEARY OIL COMPANY
 * BS4 THEME
 * Destwin, LLC.
 */



/* Custom Fonts */
/* --@import --*/

/*Roboto*/
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');



:root {


/* COMPANY Variables */

--primary: #AC3931; /*Red*/
--secondary: #01538F; /*Blue*/

/* Destwin Variables*/
--light-blue: #B4C1CF;
--dark-blue: #002B4B;
--light-gray: #F3F5F8;
--cool-light-gray: #D3D3D3;
--mid-gray: #C1C1C1;
--dark-gray: #434343;
}

/*--------------------------
>>>>>>>>>>>>>>>><<<<<<<<<<<<
----------------------------*/


body {
	color: var(--dark-gray);
	font-family: "Roboto", sans-serif;
}

a { color: var(--primary);}

a:hover {color: var(--secondary);}

/* Headings */
  h1, h2, h3, h4, h5, h6,
  .h1, .h2, .h3, .h4, .h5, .h6 {

  }

  h1, .h1 {

  }

  h2, .h2 {

  }

  h3, .h3 {

  }

  h4, .h4 {

  }

  h5, .h5 {

  }

  h6, .h6 {

  }

div#pageHeader {
	background: var(--white);
}

div#pageHeader h1.page-title {
	color: var(--secondary);
	font-family: "Georgia", Sans-serif;
	font-weight: 900;
    text-transform: uppercase;
}

#topBar {
    background-color: var(--dark-blue);
    border-color: var(--dark-blue);
}

#topBar ul.topBar-links>li>a {
	color: var(--white);
	opacity: 0.75;
}

#topBar ul.topBar-links>li:first-child {
	border-right: 0;
} 


/* Buttons */

.btn-primary, .btn-secondary, .btn-outline-primary, .btn-outline-secondary {
    border-radius: 0;
	font-weight: 500;
}

div#account-links-card {
    border-color: var(--primary);
}

#page-user-home div#account-links-card .list-group-item-action {
	background-color: var(--white) !important;
	border-color: var(--primary);
    color: var(--primary);
}

#page-user-home div#account-links-card .list-group-item-action:hover, #page-user-home div#account-links-card .list-group-item-action:focus {
	background-color: var(--primary) !important;
	border-color: var(--primary);
	color: var(--white);
}

/*Navigation*/

#mainNav nav.navbar.navbar-expand-lg.navbar-light {
	background-color: var(--secondary);
}

#mainNavbar .navbar-nav .nav-link {
	color: var(--white);
	font-weight: 400;
}

#mainNavbar .navbar-nav .nav-link:hover, #mainNavbar .navbar-nav .nav-link:active, #mainNavbar .navbar-nav .nav-link:focus {
    color: var(--cool-light-gray);
}

#mainNavbar .dropdown-menu, ul#topbartopmenu .dropdown-menu {
	background-color: var(--light-gray);
}

#mainNavbar .dropdown-menu a, #mainNavbar .dropdown-menu button {
	border: none;
}

#mainNavbar .dropdown-menu a, #mainNavbar .dropdown-menu button {
	transition: color .2s ease-in-out,background-color .2s ease-in-out,
    border-color .2s ease-in-out,height 0s,line-height 0s;
}

#mainNavbar .dropdown-menu a, #mainNavbar .dropdown-menu button, ul#topbartopmenu .dropdown-menu a.dropdown-item {
	font-family: "Poppins", sans-serif;
}

ul#topbartopmenu .dropdown-menu a.dropdown-item:hover,
ul#topbartopmenu .dropdown-menu a.dropdown-item:active,
ul#topbartopmenu .dropdown-menu a.dropdown-item:focus {
	background: var(--mid-gray);
	color: var(--dark-gray);
}

#mainNavbar .dropdown-menu a:hover, #mainNavbar .dropdown-menu button:hover,
#mainNavbar .dropdown-menu a:active, #mainNavbar .dropdown-menu button:active,
#mainNavbar .dropdown-menu a:focus, #mainNavbar .dropdown-menu button:focus {
	background: var(--mid-gray);
	color: var(--dark-gray);
}

button.navbar-toggler {
    background: var(--white);
	border-color: var(--white);
}

footer {
	background: var(--light-blue);
	color: var(--dark-gray);
}

footer a {
	color: var(--dark-blue);
}

footer a:hover {
	color: var(--primary);
}



	@media screen and (min-width:768px) {
		
		
		#mainNavbar .navbar-nav .nav-link {
			text-underline-offset: 5px;
        	text-decoration: underline;
        	text-decoration-color: transparent;
        	transition: text-decoration-color 0.3s ease-in-out;
		}
		
		#topBar ul.topBar-links>li>a {
			text-underline-offset: 5px;
        	text-decoration: underline;
			text-decoration-thickness: 3px;
        	text-decoration-color: transparent;
        	transition: text-decoration-color 0.3s ease-in-out;
		}

		#mainNavbar .navbar-nav .nav-link:hover, #mainNavbar .navbar-nav .nav-link:active, #mainNavbar .navbar-nav .nav-link:focus, #topBar ul.topBar-links>li>a:hover, #topBar ul.topBar-links>li>a:active, #topBar ul.topBar-links>li>a:focus {
			text-decoration-color: var(--primary);
		}
	
	
}
	
@media screen and (max-width:767px) {
	
		ul#mainNavbarMenu {
			background-color: var(--light-gray);
		}
	
		#mainNavbar .navbar-nav .nav-link {
			color: var(--dark-gray);
		}
	
		#mainNavbar .navbar-nav .nav-link:hover, #mainNavbar .navbar-nav .nav-link:active, #mainNavbar .navbar-nav .nav-link:focus {
			background: var(--mid-gray);
			color: var(--dark-gray);
		}
			
}
 







 










 